import { FetchDataState, MultiFetchDataState } from '@/types/fetchDataState';
import { BioEntityContent } from '@/types/models';
import { PayloadAction } from '@reduxjs/toolkit';

export type BioEntityContentsState = MultiFetchDataState<BioEntityContent[]> & {
  submapConnections?: FetchDataState<BioEntityContent[]>;
  isContentTabOpened?: boolean;
};

export type BioEntityContentSearchQuery = {
  query: string | string[];
  params: {
    perfectMatch: boolean;
  };
};

export type SetBioEntityContentActionPayload = BioEntityContent[];

export type SetBioEntityContentAction = PayloadAction<SetBioEntityContentActionPayload>;
